### [3.1.3](https://github.com/twada/licensify/releases/tag/v3.1.3) (2017-04-21)


#### Bug Fixes

* [Ignore invalid pkg](https://github.com/twada/licensify/pull/20) (by [@pocotan001](https://github.com/pocotan001))


### [3.1.2](https://github.com/twada/licensify/releases/tag/v3.1.2) (2016-05-31)


#### Bug Fixes

* [Avoid trailing spaces on lines containing only an asterisk](https://github.com/twada/licensify/pull/19) (by [@aprescott](https://github.com/aprescott))


### [3.1.1](https://github.com/twada/licensify/releases/tag/v3.1.1) (2016-05-12)


#### Bug Fixes

* [Fix invalid SourceMap mapping error when using babelify](https://github.com/twada/licensify/pull/18)


## [3.1.0](https://github.com/twada/licensify/releases/tag/v3.1.0) (2016-03-14)


#### Features

* [Support two operators (AND/OR) in SPDX license expression as multiple common licenses](https://github.com/twada/licensify/pull/16) (by [@watilde](https://github.com/watilde))


### [3.0.1](https://github.com/twada/licensify/releases/tag/v3.0.1) (2016-03-10)


#### Bug Fixes

* [dealing with `licences` field without `type` field](https://github.com/twada/licensify/pull/14)


## [3.0.0](https://github.com/twada/licensify/releases/tag/v3.0.0) (2016-03-04)


#### Features

* [Ignore private packages by default](https://github.com/twada/licensify/pull/12) (by [@yudppp](https://github.com/yudppp))
* [`includePrivate` option to include private packages](https://github.com/twada/licensify/pull/13)


#### Breaking Changes

Since 3.0.0, licensify ignores packages which are [marked as private in package.json](https://docs.npmjs.com/files/package.json#private) by default. To include private packages as before, please use `includePrivate` option. When `includePrivate` option is truthy, licensify includes private packages.

CLI usage:

```
$ $(npm bin)/browserify path/to/your/file.js -p [ licensify --includePrivate ] > build/bundle.js 
```

API usage:

```javascript
var browserify = require('browserify');
var licensify = require('licensify');

var b = browserify();
b.add('/path/to/your/file');
b.plugin(licensify, { includePrivate: true });
b.bundle().pipe(dest)
```


## [2.2.0](https://github.com/twada/licensify/releases/tag/v2.2.0) (2016-02-01)


#### Features

* [Add opensource.org URL if license name is a valid SPDX expression](https://github.com/twada/licensify/pull/11)


## [2.1.0](https://github.com/twada/licensify/releases/tag/v2.1.0) (2016-01-16)


#### Features

* [support SourceMap through browserify's `--debug` option](https://github.com/twada/licensify/pull/9)


### [2.0.1](https://github.com/twada/licensify/releases/tag/v2.0.1) (2015-09-13)


* add Node 4.0.0 to CI ([bebe1b8](https://github.com/twada/licensify/commit/bebe1b8cf3e7d4c0f147e711031da7ea50cb9fe6))


## [2.0.0](https://github.com/twada/licensify/releases/tag/v2.0.0) (2015-09-07)


#### Features

* always scan browser field ([6728e47c](https://github.com/twada/licensify/commit/6728e47cf4bd3f36f005f589e3a8e7733d007140), closes [#5](https://github.com/twada/licensify/issues/5))


#### Breaking Changes

* `scanBrowser` option is ignored since this release and treated as `scanBrowser=true` at all times.

 ([6728e47c](https://github.com/twada/licensify/commit/6728e47cf4bd3f36f005f589e3a8e7733d007140))


## [1.5.0](https://github.com/twada/licensify/releases/tag/v1.5.0) (2015-09-01)


#### Features

* [Add @license tag to the header](https://github.com/twada/licensify/pull/6) (by [@denis-sokolov](https://github.com/denis-sokolov))


## [1.4.0](https://github.com/twada/licensify/releases/tag/v1.4.0) (2015-08-03)


#### Features

* [add homepage field](https://github.com/twada/licensify/pull/4)
* add "generated by" section to provide hint for tools such as uglifyjs ([49fc88d9](https://github.com/twada/licensify/commit/49fc88d9029187df55ff7a9e43e467cfa219c68c))


## [1.3.0](https://github.com/twada/licensify/releases/tag/v1.3.0) (2015-07-27)


#### Features

* move main module to the top ([d44c5e8d](https://github.com/twada/licensify/commit/d44c5e8d48d17481c6e7cc9220ddaa2c84e77339))


## [1.2.0](https://github.com/twada/licensify/releases/tag/v1.2.0) (2015-07-23)


#### Features

* [add version field](https://github.com/twada/licensify/pull/3) (by [@ahomu](https://github.com/ahomu))


## [1.1.0](https://github.com/twada/licensify/releases/tag/v1.1.0) (2015-04-05)


#### Bug Fixes

* stream returned by `bundle` is readable-only since browserify 9.0.5 ([5a26a22a](https://github.com/twada/licensify/commit/5a26a22aceddae0338d156e71cfb3c9f393b558d))


#### Features

* [scanBrowser option](https://github.com/twada/licensify/pull/1) to scan `browser` field (by [@armorik83](http://github.com/armorik83))


## [1.0.0](https://github.com/twada/licensify/releases/tag/v1.0.0) (2015-02-06)


switch to semver


## [0.2.0](https://github.com/twada/licensify/releases/tag/v0.2.0) (2014-12-14)


#### Features

* **licensify:**
  * add maintainers and contributors to header ([525066e2](https://github.com/twada/licensify/commit/525066e20a1eb65a63ef44102a20cd4cae2f616a))


## [0.1.0](https://github.com/twada/licensify/releases/tag/v0.1.0) (2014-12-03)


initial release
